% POWER OF A FADED SIGNAL %
c = rayleighchan(1/10000,100);
sig = j*ones(2000,1); % Signal
figure(1);
y = filter(c,sig); % Pass signal through channel.
c % Display all properties of the channel object.
% Plot power of faded signal, versus sample number.
plot(20*log10(abs(y))) 
xlabel('Sample No');
ylabel('Power'); 
title('Faded signal');
